/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/
/*
Asks the user for the name of a world.   

Two robots are placed at 3,1, and 6,1 in the world, facing east.   Each robot then picks up 5 piles of beepers 
that are directly in front of it.   

The program then reports which robot picked up the most beepers.  The robot with the most beepers gets to
do a victory dance.

written by Scott McElfresh
*/
package kareltherobot;

import javax.swing.JOptionPane;


public class Application implements Directions
{	public static void main(String [] args)
	{	
        String worldname = JOptionPane.showInputDialog("Enter name of world file: ");
		World.readWorld(worldname);
	    World.setVisible(true);
		World.setTrace(false);
		World.setDelay(5);
		
		
		int robot1Beepers = 0;
        CountingRobot robot1 = new CountingRobot(3,1,East,robot1Beepers);
        
        		
        int robot2Beepers = 0;
		CountingRobot robot2 = new CountingRobot(6,1,East,robot2Beepers);
        	
        	

		int numpiles = 5;
		
        int countpiles = 0;
        while (countpiles < numpiles)
        {
           robot1.move();
           robot1.pickPile();
           robot2.move();
           robot2.pickPile();
           countpiles = countpiles + 1;
        }
        
        CountingRobot winningRobot = null;  // indicates which robot won.  Null says "neither has won yet".
        
        if (robot1.numBeepers() > robot2.numBeepers())
        {
           System.out.println("robot 1 had more beepers");
           winningRobot = robot1;
        }
        else if (robot1.numBeepers() < robot2.numBeepers())
			{
			System.out.println("robot 2 had more beepers");
            winningRobot = robot2;
			}
			else //(robot1.numBeepers() == robot2.numBeepers())
			{
			System.out.println("Neither robot had more beepers.");
			winningRobot = null;
			}
			
	   if (winningRobot != null)
			winningRobot.doAVictoryDance(5);
 
        robot1.turnOff();
        robot2.turnOff();
	}

}