/* This file contains the definitions of a Robot that can count how many beepers it has.
   It also has the ability to pick up an entire pile of beepers.
   
written by Scott McElfresh
*/



package kareltherobot;


public class CountingRobot extends TurningRobot
{
    private int numBeepersInBag;
	private int numBeepersPickedUp;
	
 
        public CountingRobot(int street, int avenue, Direction direction, int numberOfBeepers)
        {       
           super(street, avenue, direction, numberOfBeepers);
		   numBeepersInBag = numberOfBeepers;
		   numBeepersPickedUp = 0;
        }
 
 //***** 
 //  does the robot have any beepers in it's bag
 private boolean hasBeepers()
 {
   if (anyBeepersInBeeperBag())
      return true;
   else
      return false;
 }
 
  //***** 
 //  are there any beepers at this intersection?
 private boolean beepersHere()
 {
   return (nextToABeeper());
  
 }

  //****
  // pick up all beepers at this intersection
  public void pickPile()
  {
    while (beepersHere())
    {   pickBeeper();
	    numBeepersPickedUp ++;
		numBeepersInBag ++;
	}
  }
  
 //***** 
 // returns how many beepers the robot has.
 public int numBeepers()
 {
      return numBeepersPickedUp;
 }
 //*******************
 // has robot turn around and return to left side of screen
 public void goHome()
 {
    turnAround();
    while (frontIsClear())
        move();
 }
 
 
 
 //***************
 public void doAVictoryDance(int howlong)
 {
    for (int i = 0; i < howlong; i++)
	    doDanceStep();
 }
 //****
 private void doDanceStep()
 {
    for (int i = 0; i < 4; i++)
	{  move();
	   turnAround();
	   move();
	   turnLeft();
	}
  }

}